version: "2"
sql:
  - schema: "./db/migrations/"
    queries: "./db/query/"
    engine: "postgresql"
    gen:
      go:
        package: "dbgen"
        sql_package: "pgx/v5"
        out: "./gen/db"
        emit_exported_queries: true
        emit_json_tags: true
        overrides:
          - db_type: "uuid"
            go_type: "github.com/google/uuid.UUID"
          - db_type: "uuid"
            go_type: "github.com/google/uuid.NullUUID"
            nullable: true
          - column: "bet_with_outcomes.outcomes"
            go_type:
              type: "BetOutcome"
              slice: true
          - column: "ticket_with_outcomes.outcomes"
            go_type:
              type: "TicketOutcome"
              slice: true
          - column: "shop_bet_detail.outcomes"
            go_type:
              type: "BetOutcome"
              slice: true
